/* Simple Event Counter
   Using TM1637 LED Display
   uC: Digispark Attiny85
   Prepared by T.K.Hareendran
*/

#include <Arduino.h>
#include <TM1637Display.h> //essential library from avishorp


#define CLK 2 // clock 
#define DIO 3 // data i/o


#define TEST_DELAY   2000


TM1637Display display(CLK, DIO); // setup the display

void setup()
{
  pinMode(0, INPUT); // counter trigger input pin
  digitalWrite(0, HIGH); // enable internal pull-up
  display.setBrightness(6); // brightness level 0-minimum, 7-maximum
}

int numb = 0;
int pres = 0;
void loop()
{
  display.setBrightness(0x0f);
  display.showNumberDec(numb, false); // function to display numbers upto 9999
  if (digitalRead(0) == 0) // read counter trigger pin
  {
    if (pres == 0)
    {
      numb++;
      pres = 1;
    }
  }
  else
  {
    pres = 0;
  }
}

